Kepler - Bug #3182

check for consistent licensing text in all source files
03/24/2008 10:18 AM - Matt Jones
Description

Kepler is licensed under the BSD. We need to check that all code is properly licensed this way throughout the release, including all
source files. Fix any licensing problems that might arise.

We also need to be sure any included software included in the release can be redistributed under the terms of their license, and that
we follow those license terms.

Related issues:
Blocked by Kepler - Bug #2318: Copyrights and licenses of subpackages need to... Resolved 12/13/2005

History

#1 - 03/24/2008 10:47 AM - Christopher Brooks

Should this be combined with "Copyrights of subpackages need to be handled"
http://bugzilla.ecoinformatics.org/show_bug.cgi?id=2318

See that bug for a info about the Ptolemy copyright system and FOSSOLOGY.
I tried to install FOSSOLOGY, but it requires many packages to get working . . .

#2 - 03/24/2008 10:53 AM - Matt Jones

No, I think this is a separate item from the copyright check, even though we might do them simultaneously with a single pass -- so lets leave them as
two bugs.

| also checked into FOSSology -- looks interesting but the overhead to install it looks prohibitive, plus it really seems to be focused on the .deb/.rpm
system for importing packages and finding package dependencies. As we don't use that (yet) then we might get less out of it.

#3 - 04/09/2008 12:23 PM - Chad Berkley

| was given permission by John Harris on 4/9/08 to change the license in the code owned by Numeric Solutions. | changed all of the numeric
solutions source files and added the following license:

/* * * Copyright (C) 2001 Numeric Solutions. All Rights Reserved. * * Permission is hereby granted, without written agreement and without license
* or royalty fees, to use, copy, modify, and distribute this software and its * documentation for any purpose, provided that the above copyright notice
appears in all copies of this software. * * Contact information: Numeric Solutions support@numericsolutions.com, or:
http://www.numericsolutions.com *

*/

* * *

#4 - 04/23/2008 10:02 AM - Timothy McPhillips

Most of the remaining issues are listed under bug #2318 now (as well as bug #3196).

e This bug has been marked as a duplicate of bug 2318 ***

#5 - 03/27/2013 02:22 PM - Redmine Admin
Original Bugzilla ID was 3182
